Subject: [Lsr] Regarding OSPFv3 VPN Domain Type

From: Rajesh M <[email-masked]>
Date: Fri, 17 Sep 2021 15:13:55 +0530

Hi All,

For OSPFv3 from RFC 6565, section 4.4, it is mentioned that 2-byte type
field in the attribute.
May I know what three different types 0x0005, 0x0105 0x0205 represent?

   OSPF Domain Identifier Extended Communities Attribute

   Each OSPFv3 Instance within a VRF MUST have a Domain ID.  The Domain
   ID is configured per OSPFv3 Instance.  The OSPFv3 Domain ID is a
   6-byte number, and its default value is 0.  *This attribute has a
   2-byte type field, encoded with a value of 0x0005, 0x0105, or 0x0205.*

        0                   1                   2                   3
        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |          Type Value           |    Domain Identifier          |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |                     Domain Identifier Cont.                   |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

         The OSPF Domain Identifier Extended Communities Attribute

Thanks & Regards,

Rajesh

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 17 Sep 2021 14:15:35 +0000

Hi Rajesh,

This is the extended community type and RFC 6565 really should have had some references for this - It took me a good 15-20 minutes to recall all the details. The first octet specifies the extended community type of domain ID as defined in https://www.rfc-editor.org/rfc/rfc7153.html#section-5.1.1

TYPE VALUE       NAME

      0x00             Transitive Two-Octet AS-Specific Extended
                       Community (Sub-Types are defined in the
                       "Transitive Two-Octet AS-Specific Extended
                       Community Sub-Types" registry)

      0x01             Transitive IPv4-Address-Specific Extended
                       Community (Sub-Types are defined in the
                       "Transitive IPv4-Address-Specific Extended
                       Community Sub-Types" registry)

      0x02             Transitive Four-Octet AS-Specific Extended
                       Community (Sub-Types are defined in the
                       "Transitive Four-Octet AS-Specific Extended
                       Community Sub-Types" registry)

The second octet (0x05) is the registered sub-type value for the OSPF Domain Identifier. See https://www.rfc-editor.org/rfc/rfc4577.html#page-10.

Hope this helps,
Acee

From: Lsr <[email-masked]> on behalf of Rajesh M <[email-masked]>
Date: Friday, September 17, 2021 at 5:44 AM
To: "[email-masked]" <[email-masked]>
Subject: [Lsr] Regarding OSPFv3 VPN Domain Type

Hi All,

For OSPFv3 from RFC 6565, section 4.4, it is mentioned that 2-byte type field in the attribute.
May I know what three different types 0x0005, 0x0105 0x0205 represent?

   6-byte number, and its default value is 0.  This attribute has a

   2-byte type field, encoded with a value of 0x0005, 0x0105, or 0x0205.

        0                   1                   2                   3

Thanks & Regards,

Rajesh

---

From: Alexander Okonnikov <[email-masked]>
Date: Fri, 17 Sep 2021 17:58:40 +0300

Hi Acee, Rajesh,

RFC 6565 states that the same communities, defined in RFC 4577, are reused.

Just before the text, quoted by Rajesh, there is statement:

"The BGP Extended Communities attributes defined in [RFC4577] are reused for convenience."

RFC 4577 defines sub-type 0x05 and also refers to RFC 4360, where 0x00 and 0x01 types are defined. Only gap, that I notice, is that RFC 4360 (and RFC 4577) mentions type 0x02, but doesn't define that type and doesn't point to reference of its definition (it was defined later in RFC 5668).

> 17 сент. 2021 г., в 17:15, Acee Lindem (acee) <acee=[email-masked]> написал(а):
> 
> Hi Rajesh, 
>  
> This is the extended community type and RFC 6565 really should have had some references for this - It took me a good 15-20 minutes to recall all the details. The first octet specifies the extended community type of domain ID as defined in https://www.rfc-editor.org/rfc/rfc7153.html#section-5.1.1 <https://www.rfc-editor.org/rfc/rfc7153.html#section-5.1.1>
>  
> TYPE VALUE       NAME
>  
> The second octet (0x05) is the registered sub-type value for the OSPF Domain Identifier. See https://www.rfc-editor.org/rfc/rfc4577.html#page-10 <https://www.rfc-editor.org/rfc/rfc4577.html#page-10>.
>  
> Hope this helps,
> Acee
>  
> From: Lsr <[email-masked] <mailto:[email-masked]>> on behalf of Rajesh M <[email-masked] <mailto:[email-masked]>>
> To: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> _______________________________________________
> Lsr mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/lsr <https://www.ietf.org/mailman/listinfo/lsr>

---

From: Rajesh M <[email-masked]>
Date: Mon, 20 Sep 2021 10:11:30 +0530

Thank you very much Acee and Alexander.
I got the required information.

Regards,
Rajesh

On Fri, Sep 17, 2021 at 8:28 PM Alexander Okonnikov <
[email-masked]> wrote:

> RFC 4577 defines sub-type 0x05 and also refers to RFC 4360, where 0x00 and
> 0x01 types are defined. Only gap, that I notice, is that RFC 4360 (and RFC
> 4577) mentions type 0x02, but doesn't define that type and doesn't point to
> reference of its definition (it was defined later in RFC 5668).
>
> 17 сент. 2021 г., в 17:15, Acee Lindem (acee) <
> acee=[email-masked]> написал(а):
>
> Hi Rajesh,
>
> This is the extended community type and RFC 6565 really should have had
> some references for this - It took me a good 15-20 minutes to recall all
> the details. The first octet specifies the extended community type of
> domain ID as defined in
> https://www.rfc-editor.org/rfc/rfc7153.html#section-5.1.1
>
> TYPE VALUE       NAME
>
> The second octet (0x05) is the registered sub-type value for the OSPF
> Domain Identifier. See https://www.rfc-editor.org/rfc/rfc4577.html#page-10
> .
>
> Hope this helps,
> Acee
>
> *From: *Lsr <[email-masked]> on behalf of Rajesh M <
> [email-masked]>
> *Date: *Friday, September 17, 2021 at 5:44 AM
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *[Lsr] Regarding OSPFv3 VPN Domain Type
>
> Hi All,
>
>    6-byte number, and its default value is 0.  *This attribute has a*
>
> *   2-byte type field, encoded with a value of 0x0005, 0x0105, or 0x0205.*
>
>
>
>         0                   1                   2                   3
>
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr
>
>
>